# Method: monetization.subscriptions.batchUpdate

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.BatchUpdateSubscriptionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#body.aspect)
- [UpdateSubscriptionRequest](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#UpdateSubscriptionRequest)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#UpdateSubscriptionRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#try-it)

Updates a batch of subscriptions.

Set the latencyTolerance field on nested requests to PRODUCT_UPDATE_LATENCY_TOLERANCE_LATENCY_TOLERANT to achieve maximum update throughput.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/subscriptions:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Required. The parent app (package name) for which the subscriptions should be updated. Must be equal to the packageName field on all the Subscription resources. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#UpdateSubscriptionRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions/batchUpdate#UpdateSubscriptionRequest`)`` Required. A list of update requests of up to 100 elements. All requests must update different subscriptions. |

### Response body

Response message for BatchUpdateSubscription.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "subscriptions": [ { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`) } ] } ``` |

| Fields ||
|---|---|
| `subscriptions[]` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`)`` The updated subscriptions list. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## UpdateSubscriptionRequest

Request message for subscriptions.patch.

| JSON representation |
|---|
| ``` { "subscription": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`) }, "updateMask": string, "regionsVersion": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/RegionsVersion`) }, "allowMissing": boolean, "latencyTolerance": enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`) } ``` |

| Fields ||
|---|---|
| `subscription` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/monetization.subscriptions#Subscription`)`` Required. The subscription to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `regionsVersion` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/RegionsVersion`)`` Required. The version of the available regions being used for the subscription. |
| `allowMissing` | `boolean` Optional. If set to true, and the subscription with the given packageName and productId doesn't exist, the subscription will be created. If a new subscription is created, updateMask is ignored. |
| `latencyTolerance` | ``enum (`https://developers.google.com/android-publisher/api-ref/rest/v3/ProductUpdateLatencyTolerance`)`` Optional. The latency tolerance for the propagation of this product update. Defaults to latency-sensitive. |